This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 21824 - cannot erase characters in the command window
cannot erase characters in the command window
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: xxgdb (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-06 15:11 EST by Ian Kay
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-22 11:11:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Kay 2000-12-06 15:11:22 EST
Start xxgdb, 
type some characters at the command prompt, like 'quite'
now try to delete those characters, 
neither BS nor DEL nor ^H seem to work.
Makes you want to type very accurately!
Comment 1 Ralph Menikoff 2000-12-25 16:47:55 EST
In addition to erase character not working, (ctr)U moves to beginning of line
but does not erase characters. With 3-button mouse, middle button works on
scroll bar but need to use left-right button inside window.
Comment 2 Trond Eivind Glomsrxd 2001-01-31 18:44:07 EST
We're obsoleting this in the next release... I recommend using a different
graphical debugger: ddd (part of powertools, my personal favorite), emacs/XEmacs
or kdevelop.

Comment 3 Ian Kay 2002-10-28 11:47:54 EST
>We're obsoleting this in the next release... I recommend using a different
 >graphical debugger: ddd (part of powertools, my personal favorite),
emacs/XEmacs
 >or kdevelop.

How nice.  However, have you compared the system load of ddd to xxgdb?  There
are certain 
advantages to keeping things simple!

I recommend that you look at including the best debugger I've ever used:  UPS. 
But I've said that before....

Note You need to log in before you can comment on or make changes to this bug.